#include <iostream>
#include <string>
#include <limits>
using namespace std;

int main() {
    ios::sync_with_stdio(false);

    string indeks_b;
    int min_brisanje = numeric_limits<int>::max(), duzina;
    string t, s;
    cin >> t >> s;

    int tren = 1;
    string trenutni;
    for (int i = 1; i < s.size(); i++) {
        if (s[i] != s[i - 1]) {
            trenutni = s.substr(i - tren, tren);
            if (t.find(trenutni) != -1) {
                duzina = t.rfind(trenutni) - t.find(trenutni) + 1;
                if (duzina < min_brisanje) {
                    indeks_b = trenutni;
                    min_brisanje = duzina;
                }
                tren = 1;
            }
        } else 
            tren++;
    }
    trenutni = s.substr(s.size() - tren, tren);
    if (t.find(trenutni) != -1) {
        duzina = t.rfind(trenutni) - t.find(trenutni) + 1;
        if (duzina < min_brisanje) {
            indeks_b = trenutni;
            min_brisanje = duzina;
        }
    }
    int ind = t.find(indeks_b);

    cout << min_brisanje << endl;
    t.replace(ind, min_brisanje, min_brisanje, '*');
    cout << t << endl;



}